summaryrefslogtreecommitdiffstats
path: root/httpd/runtests.sh
diff options
context:
space:
mode:
authorAthmane Madjoudj <athmane@fedoraproject.org>2011-07-02 11:59:25 +0100
committerAthmane Madjoudj <athmane@fedoraproject.org>2011-07-02 11:59:25 +0100
commit188948efd084f587225c4faf6224501300e4fd7d (patch)
treed5e98227b64d0d1d97a6dd309668f09c29e911f1 /httpd/runtests.sh
downloadtestcases-scripts-188948efd084f587225c4faf6224501300e4fd7d.tar.gz
testcases-scripts-188948efd084f587225c4faf6224501300e4fd7d.tar.xz
testcases-scripts-188948efd084f587225c4faf6224501300e4fd7d.zip
- Initial commit
Diffstat (limited to 'httpd/runtests.sh')
-rwxr-xr-xhttpd/runtests.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/httpd/runtests.sh b/httpd/runtests.sh
new file mode 100755
index 0000000..e3f4f4a
--- /dev/null
+++ b/httpd/runtests.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+# A small Apache HTTPd test suite
+# Author: Athmane Madjoudj <athmane@fedoraproject.org>
+
+# Install some required utilities
+yum -y -d0 install curl grep
+
+# Run install
+./0-install_httpd.sh
+
+# Run tests
+
+for testscript in httpd_*
+do
+ ./$testscript
+ [ $? -eq 0 ] && echo "==> [ PASS ]" || echo "==> [ FAIL ]"
+done